com.microsoft.sqlserver.jdbc

## Class SQLServerColumnEncryptionKeyStoreProvider

- java.lang.Object
- - com.microsoft.sqlserver.jdbc.SQLServerColumnEncryptionKeyStoreProvider

Direct Known Subclasses:
  SQLServerColumnEncryptionAzureKeyVaultProvider, SQLServerColumnEncryptionCertificateStoreProvider, SQLServerColumnEncryptionJavaKeyStoreProvider

    public abstract class SQLServerColumnEncryptionKeyStoreProvider
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`SQLServerColumnEncryptionKeyStoreProvider()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract byte[]` `decryptColumnEncryptionKey(String masterKeyPath, String encryptionAlgorithm, byte[] encryptedColumnEncryptionKey)`
`abstract byte[]` `encryptColumnEncryptionKey(String masterKeyPath, String encryptionAlgorithm, byte[] columnEncryptionKey)`
`abstract String` `getName()`
`abstract void` `setName(String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SQLServerColumnEncryptionKeyStoreProvider

    public SQLServerColumnEncryptionKeyStoreProvider()

### Method Detail

#### setName

    public abstract void setName(String name)

#### getName

    public abstract String getName()

#### decryptColumnEncryptionKey

    public abstract byte[] decryptColumnEncryptionKey(String masterKeyPath,
                                                      String encryptionAlgorithm,
                                                      byte[] encryptedColumnEncryptionKey)
                                               throws SQLServerException

Throws:
  `SQLServerException`

#### encryptColumnEncryptionKey

    public abstract byte[] encryptColumnEncryptionKey(String masterKeyPath,
                                                      String encryptionAlgorithm,
                                                      byte[] columnEncryptionKey)
                                               throws SQLServerException

Throws:
  `SQLServerException`